﻿# BackRaw's Notifications-Script v1

# importiere die wichtigen Bibliotheken
import cfglib
import es
import gamethread
import playerlib

# stelle hier deine eigenen Waffen-Namen ein (die kleingeschriebenen (echten) Waffen-Namen NICHT verändern!!)
new_weapon_names = {'defuser':'Entschärfungskit', 'knife':'Messer', 'glock':'9x19-MM-Revolver', 'usp':'KM 45, Taktisch', 'p228':'228 (Kompact)', 'deagle':'Night Hawk .50C', 'fiveseven':'ES Five-Seven', 'elite':'40 Dual Elites', 'ak47':'Avtomat Kalashnikova - 47', 'm4a1':'Maverick M4A1 Karabiner', 'galil':'IDF Defender', 'famas':'FAMAS (Clarion 5.56)', 'sg552':'Kreig 552', 'aug':'Bullpop', 'g3sg1':'D3/AU-1 (G3/SG1)', 'sg550':'Krieg 550 Kommando', 'scout':'Schmidt Scout', 'awp':'Artic Warfare Police', 'mp5navy':'MP5-Navy', 'p90':'ES-C90 (P90)', 'tmp':'Schmidt Maschinenpistole (TMP)', 'ump45':'KM UMP45', 'mac10':'Ingram MAC-10', 'm249':'M249 Para', 'm3':'Leone Kaliber 12 Super (M3)', 'xm1014':'Leone YG1265 Automatik-Schrotgewehr', 'hegrenade':'HE-Granate'}

# stelle hhier deine eigenen Map-Namen ein (hier gilt das Gleiche wie bei den Waffen-Namen!!)
new_map_names = {'de_dust':'Defusal - Dust', 'de_dust2':'Defusal - Dust2', 'de_aztec':'Defusal - Aztec', 'de_cbble':'Defusal - Cobblestone', 'de_chateau':'Defusal - Castle (Chateau)', 'de_piranesi':'Defusal - Piranesi', 'de_train':'Defusal - Train', 'de_tides':'Defusal - Tides', 'de_port':'Defusal - Port', 'de_inferno':'Defusal - Inferno', 'de_nuke':'Defusal - Nuke', 'de_prodigy':'Defusal - Prodigy', 'cs_italy':'Hostage Rescue - Italy', 'cs_office':'Hostage Rescue - Office', 'cs_havana':'Hostage Rescue - Havana', 'cs_compound':'Hostage Rescue - Compound', 'cs_assault':'Hostage Rescue - Assault', 'cs_militia':'Hostage Rescue - Militia'}

# kündige Deine Webseite bei jeder neuen Runde an + lasse die installierte EventScripts-Version anzeigen
def round_start(ev):
    config = cfglib.AddonCFG(es.getAddonPath("notifications") + "/notifications.cfg")
    config.write()

    # stelle hier deine Webseite ein
    website = config.cvar('website', 'www.rofl.com')
    config.execute()
    
    es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenBesucht #green%s' % es.ServerVar('webseite'))

# kündige das Eintreten eines neuen Spielers an
def player_connect(ev):
    es.msg('#multi', '#green[#lightgreenNotifications#green] %s #lightgreentritt dem Spiel bei...' % ev['name'])

# kündige an, dass der neue Spieler beigetreten ist
def palyer_activate(ev):
    es.msg('#mutli', '#green[#lightgreenNotifications#green] %s #lightgreenist dem Spiel beigetreten' % ev['es_username'])

# lasse die Map bei der Eingabe "map" anzeigen und ob Friendly Fire an oder aus ist. (wird noch geupdatet)
def player_say(ev):
    map_name = str(es.ServerVar('eventscripts_currentmap'))
    if ev['text'] == 'map':
        es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenDerzeitige Map: #green%s' % new_map_names.get(map_name, map_name))

    if ev['text'] == 'ff':
        if es.ServerVar('mp_friendlyfire') == '1':
            es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenFriendly Fire: #greenAn')
        else:
            es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenFriendly Fire: #greenAus')

def player_hurt(ev):
    # zeige an, dass Du dich selbst getroffen hast (z.B. mit einer HE-Granate)
    if ev['attacker'] == ev['userid']:
        es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenDu hast dich selbst getroffen!')
    elif ev['es_userteam'] != ev['es_attackerteam']:
        if ev['health'] < '1':
            # wenn der Spieler tot ist, zeige an "(Name) ist tot" anstatt "hat noch HP"
            es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenist tot (Letzter Treffer: #green%s Damage #lightgreen)' % (ev['es_username'], ev['dmg_health'])))
        else:
            # zeige die Anzahl der HP an, die der Gegner nach deinen Treffern noch hat
            es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat noch: #green%s HP' % (ev['es_username'], ev['es_userhealth']))
    else:
        # zeige an, wie viel HP Dein Teammitglied noch hat, nachdem Du ihn/sie angegriffen hast
        es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenTeamMate #green%s #lightgreenhat noch: #green%s HP' % (ev['es_username'], ev['es_userhealth']))

def player_death(ev):
    weapon = ev['weapon'] 
    # mit welcher Waffe hat Dich Dein Gegner getötet?
    es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat Dich mit #green%s#lightgreen gekillt und hat noch #green%s HP #lightgreenübrig' % (ev['es_attackername'], new_weapon_names.get(weapon, weapon), ev['es_attackerhealth']))

def bomb_dropped(ev):
    for userid in playerlib.getUseridList('#t'):
        if ev['es_userhealth'] < '1':
           # benachrichtige das Team, dass Du die Bombe durch Deinen Tod verloren hast
           es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreendurch seinen Tod fallen gelassen' % ev['es_username'])
        else:
           # benachrichtige das Team, dass Du die Bombe weggeworfen hast
           es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreenweggeworfen' % ev['es_username'])

def bomb_pickup(ev):
    # benachrichtige Dein Team, dass Du die Bombe aufgehoben hast
    for userid in playerlib.getUseridList('#t'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreenaufgehoben' % ev['es_username'])

def bomb_beginplant(ev):
    # benachrichtige Dein Team, dass Du die Bombe im Moment legst
    for userid in playerlib.getUseridList('#t'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenlegt gerade die #greenBombe#lightgreen...' % ev['es_username'])

def bomb_planted(ev):
    # benachrichtige Dein Team, dass Du die Bombe gerade gelegt hast
    for userid in playerlib.getUseridList('#t'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreengelegt' % ev['es_username'])

def bomb_begindefuse(ev):
    # benachrichtige Dein Team, dass Du die Bombe im Moment entschärfst
    for userid in playerlib.getUseridList('#ct'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenentschärft gerade die #greenBombe#lightgreen...' % ev['es_username'])

def bomb_defused(ev):
    # benachrichtige Dein Team, dass Du die Bombe entschärft hast
    for userid in playerlib.getUseridList('#ct'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreenentschärft' % ev['es_username'])

def weapon_purchase(ev):
    if ev['weapon'] != 'knife':
        if ev['weapon'] != 'vest':
            if ev['weapon'] != 'vesthelm':
                weapon = ev['weapon']
                es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenDu hast #green%s #lightgreengekauft' % new_weapon_names.get(weapon, weapon))

def player_flashed(ev):
    es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] Du wurdest geblendet. Die Wirkungsstärke betrug #green%s' % ev['alpha'])
    gamethread.delayed(1.3, es.tell, (ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenDu wurdest für #green%s #lightgreenSekunden geblendet' % ev['duration'])
